namespace MyOffice.Web.Models.Account;

using AutoMapper;
using MyOffice.Services.Account.Domain;

public class AccountAccessInviteViewModel: IResponseModel
{
	public string? Id { get; set; }
	public string? Account { get; set; }
	public bool? AllowWrite { get; set; }
}

public class AccountAccessInviteViewModelProfile: Profile
{
	public AccountAccessInviteViewModelProfile()
	{
		CreateMap<AccountAccessInviteDto, AccountAccessInviteViewModel>()
			.ForMember(x => x.AllowWrite, o => o.MapFrom(x => x.IsAllowWrite))
			;
	}
}